2017-11-20 05:19 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000688v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:53
Reporterrobertbasic 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000688: Check write permissions on translation manager
DescriptionIt'd be nice to have a little more check on write permissions for translation files (locales) when using the translation manager. Currently, if the system has no write permission over these files it errors out after hitting submit:
"Could not open locales file (/path/to/locale/file.inc) to save."
If the locale file is not writeable it would be nice to warn to user about it before he starts working on it. The check should be done not only over the web2project/locales directory but over all files and folders under it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001547

robertbasic (developer)

Last edited: 2011-01-11 13:03

Sent a pull request on github.

My changes: https://github.com/robertbasic/web2project/commit/6841739b00a9158314a0407d9d0856b38907f7b8

~0001553

caseydk (administrator)

Resolved in r1586 as described in the Pull Request;
+Notes

-Issue History
Date Modified Username Field Change
2011-01-08 13:52 robertbasic New Issue
2011-01-11 13:02 robertbasic Note Added: 0001547
2011-01-11 13:03 robertbasic Note Edited: 0001547
2011-01-15 21:56 caseydk Project Pending Requests => v2.3 Release (Closed)
2011-01-15 21:57 caseydk Note Added: 0001553
2011-01-15 21:57 caseydk Status new => resolved
2011-01-15 21:57 caseydk Resolution open => fixed
2011-01-15 21:57 caseydk Assigned To => caseydk
2011-03-24 09:53 caseydk Fixed in Version => 2.3
2011-03-24 09:53 caseydk Status resolved => closed
+Issue History